opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::OpponentColorDescriptorExtractor Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::OpponentColorDescriptorExtractor:

## Public Member Functions
virtual int | descriptorSize () const
virtual int | descriptorType () const
| OpponentColorDescriptorExtractor (const Ptr< DescriptorExtractor > &descriptorExtractor)
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
Public Member Functions inherited from cv::DescriptorExtractor
void | compute (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const
void | compute (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, vector< Mat > &descriptors) const
virtual | ~DescriptorExtractor ()

## Protected Member Functions
virtual void | computeImpl (const Mat &image, vector< KeyPoint > &keypoints, Mat &descriptors) const

## Protected Attributes
Ptr< DescriptorExtractor > | descriptorExtractor

## Additional Inherited Members
Static Public Member Functions inherited from cv::DescriptorExtractor
static Ptr< DescriptorExtractor > | create (const string &descriptorExtractorType)
Static Protected Member Functions inherited from cv::DescriptorExtractor
static void | removeBorderKeypoints (vector< KeyPoint > &keypoints, Size imageSize, int borderSize)

## Constructor & Destructor Documentation

cv::OpponentColorDescriptorExtractor::OpponentColorDescriptorExtractor | ( | const Ptr< DescriptorExtractor > & | descriptorExtractor | ) |

## Member Function Documentation

virtual void cv::OpponentColorDescriptorExtractor::computeImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | Mat & | descriptors
| ) |  | const
| protected virtual

Implements cv::DescriptorExtractor.

virtual int cv::OpponentColorDescriptorExtractor::descriptorSize | ( |  | ) | const
| virtual

Implements cv::DescriptorExtractor.

virtual int cv::OpponentColorDescriptorExtractor::descriptorType | ( |  | ) | const
| virtual

Implements cv::DescriptorExtractor.

virtual void cv::OpponentColorDescriptorExtractor::read | ( | const FileNode & |  | ) |
| virtual

Reimplemented from cv::DescriptorExtractor.

virtual void cv::OpponentColorDescriptorExtractor::write | ( | FileStorage & |  | ) | const
| virtual

Reimplemented from cv::DescriptorExtractor.

## Member Data Documentation

Ptr<DescriptorExtractor> cv::OpponentColorDescriptorExtractor::descriptorExtractor
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp